Skip to main content
GET
/
api
/
v1
/
comment
/
import
/
comments
Get fetched comments for a post
curl --request GET \
  --url https://api.bundle.social/api/v1/comment/import/comments \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "teamId": "<string>",
      "postId": "<string>",
      "socialAccountId": "<string>",
      "importId": "<string>",
      "platform": "FACEBOOK",
      "externalId": "<string>",
      "likesCount": 123,
      "repliesCount": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "organizationId": "<string>",
      "externalParentId": "<string>",
      "externalPostId": "<string>",
      "authorName": "<string>",
      "authorExternalId": "<string>",
      "authorProfileUrl": "<string>",
      "authorAvatarUrl": "<string>",
      "text": "<string>",
      "publishedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Authorizations

x-api-key
string
header
required

Query Parameters

teamId
string
required
postId
string
required
platform
enum<string>
Available options:
FACEBOOK,
INSTAGRAM,
LINKEDIN,
YOUTUBE,
TIKTOK,
REDDIT,
THREADS,
MASTODON,
BLUESKY
socialAccountId
string
offset
number | null
default:0
limit
number | null
default:10

Response

200

items
object[]
required
total
number
required